%global dlrn_nvr tripleo-ansible-0.4.2.dev15-0.20200207140442.b750574
%global dlrn 1
%define upstream_version 0.4.2.dev15
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility

%global srcname tripleo_ansible
%global rolename tripleo-ansible

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 0.4.2
Release: 0.20200207140443.b750574%{?dist}
Summary:        Ansible project for TripleO

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/tripleo-ansible
Source0: tripleo-ansible-0.4.2.dev15-0.20200207140442.b750574.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=b7505747102ae8b766979b1d6ff77a925f105e3d
Patch0001: 0001-Octavia-do-not-attempt-container-restart-on-empty-li.patch
Patch0002: 0002-Add-tmpwatch-to-the-bootstrap.patch
Patch0003: 0003-Ensure-rsync-is-installed-during-bootstrap.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

Requires: ansible-config_template
Requires: ansible-role-openstack-operations
Requires: python%{pyver}-paunch

%description

Ansible project for TripleO

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/


%changelog
* Wed Feb 26 2020 Lon Hohberger <lhh@redhat.com> 0.4.2-0.20200207140443.b750574
- Ensure rsync is installed during bootstrap (rhbz#1802827)
- Add tmpwatch to the bootstrap (rhbz#1807517)

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Octavia: do not attempt container restart on empty list (rhbz#1794328)

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Improve idempotency of podman_container
- [SQUASH] backport tripleo-container-manage to stable/train
- paunch: use utils.load_config()

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Add action plugin for all_nodes data

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Generate the /etc/hosts content once.

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Allow comments in variable files to be rendered in docs

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove dracut-config-generic package

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove extra backslash in awk for tripleo-ceph-uuid role

* Mon Jan 13 2020 Giulio Fidente <gfidente@redhat.com> 0.4.2-0.20200110023759.ee731ba
- Remove extra backslash in awk for tripleo-ceph-uuid role (rhbz#1783299)

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Merge "paunch: only read container config JSON which starts by "hashed-"" into stable/train
- Use module command to run podman
- Include stdout and stderr in return of podman_container
- paunch: only read container config JSON which starts by "hashed-"

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove old Heat hosts entries in tripleo-hosts-entries
- Fix network hostnames in tripleo-hosts-entries
- Add tripleo-hosts-entries role

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Create Validations logging directory

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Copy all_nodes.json instead of rendering template

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Move localhost_address to net_ip_map hieradata

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Don't include tuned tasks when checkmode

* Sat Dec 07 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Networks may be none

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Handle range in the cpu_mask conversion for DPDK cores" into stable/train
- Handle range in the cpu_mask conversion for DPDK cores

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- tripleo-hieradata: re-enable "service_names"

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Optionally add ctlplane vips

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Delete Octavia configuration leftovers" into stable/train
- Delete Octavia configuration leftovers

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Ensure plugin path is correct

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Fix for Ansible playbook error, variable is undefined" into stable/train
- Merge "Adding setup_rear and setup_nfs task" into stable/train
- Merge "Make sure we add all_nodes_extra_map_data to all_nodes" into stable/train
- Fix for Ansible playbook error, variable is undefined
- Make sure we add all_nodes_extra_map_data to all_nodes
- Adding setup_rear and setup_nfs task

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Cast single value list as a string for config id" into stable/train
- Cast single value list as a string for config id

* Fri Nov 29 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Make sure role_networks is used from current processed node

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Add LVM2 package install to bootstrap

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Fix ssh_known_hosts hostname entries

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Prefer ovn_dbs_vip from all_nodes_extra_map_data

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Fix enabled_services to include all_nodes_extra_map_data" into stable/train
- Fix enabled_services to include all_nodes_extra_map_data

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Include ceph-ansible filter_plugins" into stable/train
- Include ceph-ansible filter_plugins
- Revert "Fix ssh_known_hosts hostname entries"

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Fix ssh_known_hosts hostname entries

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Add support for --limit option into ceph-ansible call

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Fix the filter plugin location for triple-ovs-dpdk role

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Revert "Workaround for ansible-lint installation failure"

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Simplify octavia post deploy configs" into stable/train
- Fix invalid variable issue with StorageNFS
- Simplify octavia post deploy configs

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Update TOX/UPPER_CONSTRAINTS_FILE for stable/train" into stable/train
- Workaround for ansible-lint installation failure
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- paunch: support a directory for "config" parameter

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix booleans settings in podman_container

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix cellv2 role handler"
- Merge "Add the Apache license to the overcloud-delete playbook"
- Merge "Use executable for podman container from params"
- Merge "Install packages and load kernel modules before configuring sysctl."
- Use executable for podman container from params
- Merge "Update config to support RHEL/CENT8"
- Fix cellv2 role handler
- Add the Apache license to the overcloud-delete playbook
- Install packages and load kernel modules before configuring sysctl.
- Update config to support RHEL/CENT8

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove leftovers for podman-image*
- Merge "Remove readme files within the roles"
- Merge "Add a playbook for the "openstack overcloud delete" CLI Command"
- podman_container: only add --volume if item not empty
- Add a playbook for the "openstack overcloud delete" CLI Command
- Remove readme files within the roles

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- podman_container: command now accepts lists

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "scenario010 nonvoting""
- Revert "scenario010 nonvoting"

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Optional flag file for tripleo-transfer to prevent overwriting"
- Optional flag file for tripleo-transfer to prevent overwriting

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix port info lookup parsing"
- Use dynamic argument_spec from documentation
- Fix port info lookup parsing
- Change parameters processing to class based
- Merge "paunch: add support for 'cleanup'"
- Merge "podman_container: add log_driver support"
- podman_container: add log_driver support
- Merge "podman_container: move ulimit into a list"
- Merge "podman_container: fix some booleans"
- Merge "Add podman_volume_info ansible module"
- Merge "Set calling_ansible_environment_variables after preset vars"
- Merge "Add podman_container module"
- podman_container: move ulimit into a list
- podman_container: fix some booleans
- Set calling_ansible_environment_variables after preset vars
- Add podman_container module
- Add podman_volume_info ansible module
- paunch: add support for 'cleanup'

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove podman_image*"
- Merge "Add missing [] around all_nodes_extra_map_data"
- Add missing [] around all_nodes_extra_map_data
- Remove podman_image*


